<?php

namespace Drupal\xtcsearch\PluginManager\XtcFieldType;

use Drupal\Component\Plugin\PluginBase;

/**
 * Base class for xtc_fieldtype plugins.
 */
abstract class XtcFieldTypePluginBase extends PluginBase implements XtcFieldTypeInterface {

  /**
   * @var array
   */
  protected $options = [];

  /**
   * XtcFieldTypePluginBase constructor.
   *
   * @param array $configuration
   * @param $plugin_id
   * @param $plugin_definition
   */
  public function __construct(array $configuration, $plugin_id, $plugin_definition) {
    parent::__construct($configuration, $plugin_id, $plugin_definition);
  }

  /**
   * @return array
   */
  public function getOptions() {
    return $this->options;
  }

  /**
   * @param array $options
   *
   * @return $this
   */
  public function setOptions($options = []): XtcFieldTypePluginBase {
    $this->options = $options;
    return $this;
  }

}
